%define major %version
%define libname	  %mklibname linebreak %{major}
%define develname %mklibname -d linebreak

Name: 		liblinebreak
Summary: 	Line breaking in a Unicode sequence
Version:	20080321
Release: 	%mkrel 11
License: 	GPL
Group:		System/Libraries
URL: 		http://vimgadgets.cvs.sourceforge.net/vimgadgets/common/tools/linebreak/
Source0: 	%{name}-%{version}.tar.gz

%description
Line breaking in a Unicode sequence. 
Designed to be used in a generic text renderer.

%package -n %{libname}
Summary: 	Line breaking in a Unicode sequence
Group:		System/Libraries

%description -n %{libname}
Line breaking in a Unicode sequence. 
Designed to be used in a generic text renderer.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Provides:   linebreak-devel
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Line breaking in a Unicode sequence. 
Designed to be used in a generic text renderer.

%prep
%setup -q

%build

# This is not trivila to fix for parallel build in the Makefile
mkdir ReleaseDir

%make  CC=%__cc CFLAGS="%{optflags} -fPIC" CFG=release
%__cc \
    -shared -Wl,-soname,liblinebreak.so.%{major} \
    -o liblinebreak.so.%{version} \
    ReleaseDir/*.o

%install
install -d -m 755 %{buildroot}%{_libdir}
install -d -m 755 %{buildroot}%{_includedir}
install -m 755 liblinebreak.so.%{version} %{buildroot}%{_libdir}
install -m 644 ReleaseDir/liblinebreak.a %{buildroot}%{_libdir}
install -m 644 linebreak.h %{buildroot}%{_includedir}

%files -n %{libname}
%{_libdir}/liblinebreak.so.%{major}

%files -n %{develname}
%{_libdir}/liblinebreak.a
%{_includedir}/linebreak.h





%changelog
* Mon May 29 2017 pterjan <pterjan> 20080321-11.mga6
+ Revision: 1105462
- Fix parallel build

* Fri Feb 05 2016 umeabot <umeabot> 20080321-10.mga6
+ Revision: 937876
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20080321-9.mga5
+ Revision: 742188
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20080321-8.mga5
+ Revision: 681576
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20080321-7.mga4
+ Revision: 507139
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20080321-6.mga3
+ Revision: 357662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 ahmad <ahmad> 20080321-5.mga1
+ Revision: 19914
- imported package liblinebreak

